A B C D E F G H I J K L M N O P Q R S T U V W _

A

accept(ServerSocketChannel, AsyncCallback) - Static method in class org.apache.awf.util.AcceptUtil
 
accept(IOLoop, ServerSocketChannel, AsyncCallback) - Static method in class org.apache.awf.util.AcceptUtil
 
AcceptUtil - Class in org.apache.awf.util
 
AcceptUtil() - Constructor for class org.apache.awf.util.AcceptUtil
 
addCallback(AsyncCallback) - Method in interface org.apache.awf.io.callback.CallbackManager
 
addCallback(AsyncCallback) - Method in class org.apache.awf.io.callback.JMXDebuggableCallbackManager
 
addCallback(AsyncCallback) - Method in class org.apache.awf.io.IOLoop
The callback will be invoked in the next iteration in the io loop.
addHandler(SelectableChannel, IOHandler, int, Object) - Method in class org.apache.awf.io.IOLoop
Registers a new IOHandler with this IOLoop.
addKeepAliveTimeout(SelectableChannel, Timeout) - Method in class org.apache.awf.io.IOLoop
 
addKeepAliveTimeout(SelectableChannel, Timeout) - Method in class org.apache.awf.io.timeout.JMXDebuggableTimeoutManager
 
addKeepAliveTimeout(SelectableChannel, Timeout) - Method in interface org.apache.awf.io.timeout.TimeoutManager
 
addTimeout(Timeout) - Method in class org.apache.awf.io.IOLoop
 
addTimeout(Timeout) - Method in class org.apache.awf.io.timeout.JMXDebuggableTimeoutManager
 
addTimeout(Timeout) - Method in interface org.apache.awf.io.timeout.TimeoutManager
 
allocate(int) - Static method in class org.apache.awf.io.buffer.DynamicByteBuffer
Allocate a new DynamicByteBuffer that will be using a ByteBuffer internally.
AnnotationsScanner - Class in org.apache.awf.configuration
Provides functionality to retrieve known Annotation types and associated values.
AnnotationsScanner() - Constructor for class org.apache.awf.configuration.AnnotationsScanner
 
Application - Class in org.apache.awf.web
 
Application(Map<String, RequestHandler>) - Constructor for class org.apache.awf.web.Application
 
APPLICATION_FORM_URLENCODED - Static variable in class org.apache.awf.web.http.protocol.ContentType
application/x-www-form-urlencoded
APPLICATION_JSON - Static variable in class org.apache.awf.web.http.protocol.ContentType
application/json
APPLICATION_OCTET_STREAM - Static variable in class org.apache.awf.web.http.protocol.ContentType
application/octet-stream
APPLICATION_XML - Static variable in class org.apache.awf.web.http.protocol.ContentType
application/xml
array() - Method in class org.apache.awf.io.buffer.DynamicByteBuffer
See ByteBuffer.array()
ArrayUtil - Class in org.apache.awf.util
 
ArrayUtil() - Constructor for class org.apache.awf.util.ArrayUtil
 
AsyncCallback - Interface in org.apache.awf.web
The generic interface a caller must implement to receive an arbitrary callback from an async call (similar to AsyncResult).
Asynchronous - Annotation Type in org.apache.awf.annotation
Annotation used by implementation of RequestHandler to denote a method as asynchronous (i.e don't close the Http connection until the client invokes the finish method)
AsynchronousHttpClient - Class in org.apache.awf.web.http.client
This class implements a simple HTTP 1.1 client on top of the AWF AsynchronousSocket.
AsynchronousHttpClient() - Constructor for class org.apache.awf.web.http.client.AsynchronousHttpClient
Create an instance of this type.
AsynchronousHttpClient(IOLoop) - Constructor for class org.apache.awf.web.http.client.AsynchronousHttpClient
Create an instance of this type, utilising the given IOLoop.
AsynchronousSocket - Class in org.apache.awf.io
 
AsynchronousSocket(SocketChannel) - Constructor for class org.apache.awf.io.AsynchronousSocket
Creates a new AsynchronousSocket that will delegate its io operations to the given SelectableChannel.
AsynchronousSocket(IOLoop, SocketChannel) - Constructor for class org.apache.awf.io.AsynchronousSocket
 
AsyncResult<T> - Interface in org.apache.awf.web
The generic interface a caller must implement to receive a result from an async call
Authenticated - Annotation Type in org.apache.awf.annotation
Annotation used by implementation of RequestHandler to show that a method requires that the request (current user) is authenticated (i.e your overridden method RequestHandler.getCurrentUser(org.apache.awf.web.http.HttpRequest) returns a non null value)

B

BadRequestRequestHandler - Class in org.apache.awf.web.handler
 
bind(int) - Method in class org.apache.awf.web.HttpServer
 

C

CallbackManager - Interface in org.apache.awf.io.callback
 
CallbackManagerMXBean - Interface in org.apache.awf.io.callback
 
cancel() - Method in class org.apache.awf.io.callback.PeriodicCallback
Cancel the PeriodicCallback.
cancel() - Method in class org.apache.awf.io.timeout.Timeout
 
capacity() - Method in class org.apache.awf.io.buffer.DynamicByteBuffer
See Buffer.capacity
clear() - Method in class org.apache.awf.io.buffer.DynamicByteBuffer
See Buffer.clear()
clearCookie(String) - Method in interface org.apache.awf.web.http.HttpResponse
Removes a cookie.
clearCookie(String) - Method in class org.apache.awf.web.http.HttpResponseImpl
 
clone() - Method in class org.apache.awf.web.handler.RequestHandler
cloneHandler(T) - Static method in class org.apache.awf.web.handler.RequestHandlerFactory
Clone the given instance of RequestHandler.
close() - Method in class org.apache.awf.io.AsynchronousSocket
Close the socket.
close() - Method in class org.apache.awf.web.http.client.AsynchronousHttpClient
Close the underlaying AsynchronousSocket.
Closeables - Class in org.apache.awf.util
 
closeOrRegisterForRead(SelectionKey) - Method in class org.apache.awf.web.http.HttpProtocol
 
closeQuietly(SelectableChannel) - Static method in class org.apache.awf.util.Closeables
 
closeQuietly(IOLoop, SelectableChannel) - Static method in class org.apache.awf.util.Closeables
 
code() - Method in enum org.apache.awf.web.http.protocol.HttpStatus
Retrieve the status code for this instance.
compact() - Method in class org.apache.awf.io.buffer.DynamicByteBuffer
See ByteBuffer.compact()
Configuration - Class in org.apache.awf.configuration
Simple type to hold configuration options, to be passed to HttpServer .
Configuration() - Constructor for class org.apache.awf.configuration.Configuration
 
connect(String, int, AsyncResult<Boolean>) - Method in class org.apache.awf.io.AsynchronousSocket
Connects to the given host port tuple and invokes the given callback when a successful connection is established.
ContentType - Class in org.apache.awf.web.http.protocol
A collection of known content types, for convenience.
ContentType() - Constructor for class org.apache.awf.web.http.protocol.ContentType
 
COOKIE_SEPARATOR_PATTERN - Static variable in class org.apache.awf.web.http.HttpRequestImpl
Regex to split cookie header following RFC6265 Section 5.4
CookieUtil - Class in org.apache.awf.util
Utility type providing cookie-related functionality.
CookieUtil() - Constructor for class org.apache.awf.util.CookieUtil
 
createApplication(String) - Method in class org.apache.awf.web.HttpServer
 
createInstance(String) - Static method in class org.apache.awf.util.ReflectionTools
Create an instance of the given type.

D

DateUtil - Class in org.apache.awf.util
 
DateUtil() - Constructor for class org.apache.awf.util.DateUtil
 
delete(HttpRequest, HttpResponse) - Method in class org.apache.awf.web.handler.RequestHandler
 
dispatch(RequestHandler, HttpRequest, HttpResponse) - Static method in class org.apache.awf.web.http.HttpRequestDispatcher
 
doFetch(AsyncResult<Response>, long) - Method in class org.apache.awf.web.http.client.AsynchronousHttpClient
Perform the action of making a request against a known URL, before invoking the given callback type.
dropFromEndWhile(String[], String) - Static method in class org.apache.awf.util.ArrayUtil
 
DynamicByteBuffer - Class in org.apache.awf.io.buffer
 

E

execute() - Method in interface org.apache.awf.io.callback.CallbackManager
 
execute() - Method in class org.apache.awf.io.callback.JMXDebuggableCallbackManager
 
execute() - Method in class org.apache.awf.io.timeout.JMXDebuggableTimeoutManager
 
execute() - Method in interface org.apache.awf.io.timeout.TimeoutManager
 
expectContinue() - Method in interface org.apache.awf.web.http.HttpRequest
Check if the request expect a response with 100 Continue header
expectContinue() - Method in class org.apache.awf.web.http.HttpRequestImpl
 

F

fetch(Request, AsyncResult<Response>) - Method in class org.apache.awf.web.http.client.AsynchronousHttpClient
Make an asynchronous call as per the given Request, invoking the passed callback upon completion.
findHandlers(String) - Method in class org.apache.awf.configuration.AnnotationsScanner
Recursively iterate the given package, and attempt to resolve all annotated references for RequestHandler implementations.
finish() - Method in interface org.apache.awf.web.http.HttpResponse
Should only be invoked by third party asynchronous request handlers (or by the AWF framework for synchronous request handlers).
finish() - Method in class org.apache.awf.web.http.HttpResponseImpl
 
flip() - Method in class org.apache.awf.io.buffer.DynamicByteBuffer
See Buffer.flip()
flush() - Method in interface org.apache.awf.web.http.HttpResponse
Explicit flush.
flush() - Method in class org.apache.awf.web.http.HttpResponseImpl
 
ForbiddenRequestHandler - Class in org.apache.awf.web.handler
 

G

get(byte[], int, int) - Method in class org.apache.awf.io.buffer.DynamicByteBuffer
See ByteBuffer.get(byte[], int, int)
get(HttpRequest, HttpResponse) - Method in class org.apache.awf.web.handler.BadRequestRequestHandler
 
get(HttpRequest, HttpResponse) - Method in class org.apache.awf.web.handler.ForbiddenRequestHandler
 
get(HttpRequest, HttpResponse) - Method in class org.apache.awf.web.handler.NotFoundRequestHandler
 
get(HttpRequest, HttpResponse) - Method in class org.apache.awf.web.handler.RequestHandler
 
get(HttpRequest, HttpResponse) - Method in class org.apache.awf.web.handler.StaticContentHandler
{inheritDoc}
get(String, AsyncResult<Response>) - Method in class org.apache.awf.web.http.client.AsynchronousHttpClient
Make an asynchronous HTTP GET request against the specified URL, and invoke the given callback when the response upon completion.
getBody() - Method in class org.apache.awf.web.http.client.Request
Retrieve the body associated with this Request.
getBody() - Method in class org.apache.awf.web.http.client.Response
 
getBody() - Method in interface org.apache.awf.web.http.HttpRequest
The body of this request
getBody() - Method in class org.apache.awf.web.http.HttpRequestImpl
 
getBodyBuffer() - Method in class org.apache.awf.web.http.HttpRequestImpl
 
getByteBuffer() - Method in class org.apache.awf.io.buffer.DynamicByteBuffer
Returns the ByteBuffer that is used internally by this DynamicByteBufer.
getCallback() - Method in class org.apache.awf.io.timeout.Timeout
 
getConfiguration() - Method in class org.apache.awf.web.Application
Retrieve the Configuration used by this type.
getContentLength() - Method in class org.apache.awf.web.http.HttpRequestImpl
compute contentLength with header content-length when needed.
getContentType() - Method in class org.apache.awf.web.http.client.Request
Retrieve the content type associated with this Request.
getContext() - Method in class org.apache.awf.web.http.HttpRequestImpl
 
getCookie(String) - Method in interface org.apache.awf.web.http.HttpRequest
Returns a given cookie.
getCookie(String) - Method in class org.apache.awf.web.http.HttpRequestImpl
Returns a given cookie.
getCookies() - Method in interface org.apache.awf.web.http.HttpRequest
Returns a map with all cookies contained in the request.
getCookies() - Method in class org.apache.awf.web.http.HttpRequestImpl
Returns a map with all cookies contained in the request.
getCurrentAsString() - Static method in class org.apache.awf.util.DateUtil
 
getCurrentUser(HttpRequest) - Method in class org.apache.awf.web.handler.RequestHandler
 
getDateAsString(Date) - Static method in class org.apache.awf.util.DateUtil
Convert a given Date object to a RFC 1123 formatted String.
getEtag(byte[]) - Static method in class org.apache.awf.util.HttpUtil
 
getEtag(File) - Static method in class org.apache.awf.util.HttpUtil
 
getHandler(HttpRequest) - Method in class org.apache.awf.web.Application
 
getHandlerPackage() - Method in class org.apache.awf.configuration.Configuration
Retrieve the package under which RequestHandler implementations are to be found, for example "org.apache.awf".
getHeader(String) - Method in class org.apache.awf.web.http.client.Response
 
getHeader(String) - Method in interface org.apache.awf.web.http.HttpRequest
Get the value of a given HTTP header.
getHeader(String) - Method in class org.apache.awf.web.http.HttpRequestImpl
 
getHeaders() - Method in interface org.apache.awf.web.http.HttpRequest
Get the read-only header of this request.
getHeaders() - Method in class org.apache.awf.web.http.HttpRequestImpl
 
getInstance() - Static method in class org.apache.awf.web.handler.BadRequestRequestHandler
 
getInstance() - Static method in class org.apache.awf.web.handler.ForbiddenRequestHandler
 
getInstance() - Static method in class org.apache.awf.web.handler.HttpContinueRequestHandler
 
getInstance() - Static method in class org.apache.awf.web.handler.NotFoundRequestHandler
 
getInstance() - Static method in class org.apache.awf.web.handler.StaticContentHandler
 
getIOLoop() - Method in class org.apache.awf.web.http.HttpProtocol
 
getIoLoops() - Method in class org.apache.awf.web.HttpServer
Added for test purposes.
getLastHeaderName() - Method in class org.apache.awf.web.http.HttpParsingContext
 
getMaxRedirects() - Method in class org.apache.awf.web.http.client.Request
Retrieve the maximum number of redirects this Request will follow.
getMethod() - Method in interface org.apache.awf.web.http.HttpRequest
The method (POST,GET ..) used for this request.
getMethod() - Method in class org.apache.awf.web.http.HttpRequestImpl
 
getNumberOfCallbacks() - Method in interface org.apache.awf.io.callback.CallbackManagerMXBean
 
getNumberOfCallbacks() - Method in class org.apache.awf.io.callback.JMXDebuggableCallbackManager
 
getNumberOfKeepAliveTimeouts() - Method in class org.apache.awf.io.timeout.JMXDebuggableTimeoutManager
 
getNumberOfKeepAliveTimeouts() - Method in interface org.apache.awf.io.timeout.TimeoutManagerMXBean
 
getNumberOfRegisteredIOHandlers() - Method in class org.apache.awf.io.IOLoop
 
getNumberOfRegisteredIOHandlers() - Method in interface org.apache.awf.io.IOLoopMXBean
 
getNumberOfTimeouts() - Method in class org.apache.awf.io.timeout.JMXDebuggableTimeoutManager
 
getNumberOfTimeouts() - Method in interface org.apache.awf.io.timeout.TimeoutManagerMXBean
 
getParameter(String) - Method in interface org.apache.awf.web.http.HttpRequest
Returns the value of a request parameter as a String, or null if the parameter does not exist.
getParameter(String) - Method in class org.apache.awf.web.http.HttpRequestImpl
Returns the value of a request parameter as a String, or null if the parameter does not exist.
getParameters() - Method in interface org.apache.awf.web.http.HttpRequest
Returns a map of all parameters where each key is a parameter name, linked value is a Collection of String containing all known values for the parameter.
getParameters() - Method in class org.apache.awf.web.http.HttpRequestImpl
 
getParameterValues(String) - Method in interface org.apache.awf.web.http.HttpRequest
Returns a collection of all values associated with the provided parameter.
getParameterValues(String) - Method in class org.apache.awf.web.http.HttpRequestImpl
Returns a collection of all values associated with the provided parameter.
getRegisteredIOHandlers() - Method in class org.apache.awf.io.IOLoop
 
getRegisteredIOHandlers() - Method in interface org.apache.awf.io.IOLoopMXBean
 
getRemoteHost() - Method in interface org.apache.awf.web.http.HttpRequest
The address of the client which issued this request.
getRemoteHost() - Method in class org.apache.awf.web.http.HttpRequestImpl
 
getRemotePort() - Method in interface org.apache.awf.web.http.HttpRequest
The TCP port of the client which issued this request.
getRemotePort() - Method in class org.apache.awf.web.http.HttpRequestImpl
 
getRequestedPath() - Method in interface org.apache.awf.web.http.HttpRequest
The path of this request Ex : http://www.w3.org/pub/WWW/TheProject.html
getRequestedPath() - Method in class org.apache.awf.web.http.HttpRequestImpl
 
getRequestLine() - Method in interface org.apache.awf.web.http.HttpRequest
Get the HTTP request line for the request.
getRequestLine() - Method in class org.apache.awf.web.http.HttpRequestImpl
 
getRequestTime() - Method in class org.apache.awf.web.http.client.Response
 
getServerHost() - Method in interface org.apache.awf.web.http.HttpRequest
The address of the server which received this request.
getServerHost() - Method in class org.apache.awf.web.http.HttpRequestImpl
 
getServerPort() - Method in interface org.apache.awf.web.http.HttpRequest
The TCP port of the server which received this request.
getServerPort() - Method in class org.apache.awf.web.http.HttpRequestImpl
 
getStaticDirectory() - Method in class org.apache.awf.configuration.Configuration
Retrieve directory from which static content should be retrieved.
getStatus() - Method in exception org.apache.awf.web.http.HttpException
Retrieve the HttpStatus represented by this exception.
getStatusLine() - Method in class org.apache.awf.web.http.client.Response
 
getTimeout() - Method in class org.apache.awf.io.timeout.Timeout
 
getURL() - Method in class org.apache.awf.web.http.client.Request
Retrieve the URL associated with this Request.
getVerb() - Method in class org.apache.awf.web.http.client.Request
Retrieve the current type of request.
getVersion() - Method in interface org.apache.awf.web.http.HttpRequest
The version of the HTTP protocol.
getVersion() - Method in class org.apache.awf.web.http.HttpRequestImpl
 

H

handleAccept(SelectionKey) - Method in class org.apache.awf.io.AsynchronousSocket
Should only be invoked by the IOLoop
handleAccept(SelectionKey) - Method in interface org.apache.awf.io.IOHandler
 
handleAccept(SelectionKey) - Method in class org.apache.awf.web.http.HttpProtocol
 
handleConnect(SelectionKey) - Method in class org.apache.awf.io.AsynchronousSocket
Should only be invoked by the IOLoop
handleConnect(SelectionKey) - Method in interface org.apache.awf.io.IOHandler
 
handleConnect(SelectionKey) - Method in class org.apache.awf.web.http.HttpProtocol
 
handleRead(SelectionKey) - Method in class org.apache.awf.io.AsynchronousSocket
Should only be invoked by the IOLoop
handleRead(SelectionKey) - Method in interface org.apache.awf.io.IOHandler
 
handleRead(SelectionKey) - Method in class org.apache.awf.web.http.HttpProtocol
 
handleWrite(SelectionKey) - Method in class org.apache.awf.io.AsynchronousSocket
Should only be invoked by the IOLoop
handleWrite(SelectionKey) - Method in interface org.apache.awf.io.IOHandler
 
handleWrite(SelectionKey) - Method in class org.apache.awf.web.http.HttpProtocol
 
hasKeepAliveTimeout(SelectableChannel) - Method in class org.apache.awf.io.IOLoop
 
hasKeepAliveTimeout(SelectableChannel) - Method in class org.apache.awf.io.timeout.JMXDebuggableTimeoutManager
 
hasKeepAliveTimeout(SelectableChannel) - Method in interface org.apache.awf.io.timeout.TimeoutManager
 
hasRemaining() - Method in class org.apache.awf.io.buffer.DynamicByteBuffer
See Buffer.hasRemaining()
head(HttpRequest, HttpResponse) - Method in class org.apache.awf.web.handler.RequestHandler
 
head(HttpRequest, HttpResponse) - Method in class org.apache.awf.web.handler.StaticContentHandler
{inheritDoc}
HttpBufferedLexer - Class in org.apache.awf.web.http
Lexer class responsible for lexing an HTTP stream into tokens.
HttpBufferedLexer() - Constructor for class org.apache.awf.web.http.HttpBufferedLexer
 
HttpContinueRequestHandler - Class in org.apache.awf.web.handler
 
HttpException - Exception in org.apache.awf.web.http
Representation of an exception thrown by the server through the HTTP protocol.
HttpException(HttpStatus) - Constructor for exception org.apache.awf.web.http.HttpException
Create an instance of this type, with the given HttpStatus and an empty message.
HttpException(HttpStatus, String) - Constructor for exception org.apache.awf.web.http.HttpException
Create an instance of this type, with the given HttpStatus and message.
HttpParsingContext - Class in org.apache.awf.web.http
Context object holding data of the currently or last parser execution.
HttpParsingContext() - Constructor for class org.apache.awf.web.http.HttpParsingContext
 
HttpProtocol - Class in org.apache.awf.web.http
 
HttpProtocol(Application) - Constructor for class org.apache.awf.web.http.HttpProtocol
 
HttpProtocol(IOLoop, Application) - Constructor for class org.apache.awf.web.http.HttpProtocol
 
HttpRequest - Interface in org.apache.awf.web.http
An HTTP request received from a client
HttpRequestDispatcher - Class in org.apache.awf.web.http
The RequestDispatcher is responsible for invoking the appropriate RequestHandler method for the current HttpRequest.
HttpRequestDispatcher() - Constructor for class org.apache.awf.web.http.HttpRequestDispatcher
 
HttpRequestImpl - Class in org.apache.awf.web.http
 
HttpRequestImpl() - Constructor for class org.apache.awf.web.http.HttpRequestImpl
 
HttpRequestImpl(String, Map<String, String>) - Constructor for class org.apache.awf.web.http.HttpRequestImpl
Creates a new HttpRequest
HttpRequestParser - Class in org.apache.awf.web.http
Builds HttpRequest using a given ByteBuffer and already existing request object (unfinished).
HttpRequestParser() - Constructor for class org.apache.awf.web.http.HttpRequestParser
 
HttpResponse - Interface in org.apache.awf.web.http
An HTTP response build and sent to a client in response to a HttpRequest
HttpResponseImpl - Class in org.apache.awf.web.http
 
HttpResponseImpl(HttpProtocol, SelectionKey, boolean) - Constructor for class org.apache.awf.web.http.HttpResponseImpl
 
HttpServer - Class in org.apache.awf.web
 
HttpServer(Configuration) - Constructor for class org.apache.awf.web.HttpServer
 
HttpServerDescriptor - Class in org.apache.awf.web.http
This class provides a possiblity to change the tunables used by AWF for the HTTP server configuration.
HttpServerDescriptor() - Constructor for class org.apache.awf.web.http.HttpServerDescriptor
 
HttpStatus - Enum in org.apache.awf.web.http.protocol
An Enumeration of all known HTTP status codes.
HttpUtil - Class in org.apache.awf.util
 
HttpUtil() - Constructor for class org.apache.awf.util.HttpUtil
 
HttpVerb - Enum in org.apache.awf.web.http.protocol
An Enumeration of all available HTTP verbs, as defined by Hypertext Transfer Protocol -- HTTP/1.1 (RFC 2616).

I

indexOf(byte[], int, int, byte[]) - Static method in class org.apache.awf.util.KnuthMorrisPrattAlgorithm
Search for pattern in data, [start, end).
initKeepAlive() - Method in class org.apache.awf.web.http.HttpRequestImpl
 
INSTANCE - Static variable in class org.apache.awf.io.IOLoop
 
instance - Static variable in class org.apache.awf.web.http.MalFormedHttpRequest
 
IOHandler - Interface in org.apache.awf.io
IOHandlers are added to the IOLoop via IOLoop.addHandler(java.nio.channels.SelectableChannel, org.apache.awf.io.IOHandler, int, java.lang.Object) method.
IOLoop - Class in org.apache.awf.io
 
IOLoop() - Constructor for class org.apache.awf.io.IOLoop
 
IOLoopMXBean - Interface in org.apache.awf.io
 
isbodyFound() - Method in class org.apache.awf.web.http.HttpParsingContext
 
isCancelled() - Method in class org.apache.awf.io.timeout.Timeout
 
isFinished() - Method in class org.apache.awf.web.http.HttpRequestImpl
 
isFinished() - Method in class org.apache.awf.web.http.MalFormedHttpRequest
 
isFollowingRedirects() - Method in class org.apache.awf.web.http.client.Request
Indicates whether 3xx Redirection codes should be followed.
isKeepAlive() - Method in interface org.apache.awf.web.http.HttpRequest
Does keep-alive was requested.
isKeepAlive() - Method in class org.apache.awf.web.http.HttpRequestImpl
 
isMethodAsynchronous(HttpVerb) - Method in class org.apache.awf.web.handler.RequestHandler
 
isMethodAuthenticated(HttpVerb) - Method in class org.apache.awf.web.handler.RequestHandler
 
isRunning() - Method in class org.apache.awf.io.IOLoop
Checks whether this IOLoop is running or not.

J

JMXDebuggableCallbackManager - Class in org.apache.awf.io.callback
 
JMXDebuggableCallbackManager() - Constructor for class org.apache.awf.io.callback.JMXDebuggableCallbackManager
 
JMXDebuggableTimeoutManager - Class in org.apache.awf.io.timeout
 
JMXDebuggableTimeoutManager() - Constructor for class org.apache.awf.io.timeout.JMXDebuggableTimeoutManager
 

K

KEEP_ALIVE_TIMEOUT - Static variable in class org.apache.awf.web.http.HttpServerDescriptor
The number of seconds AWF will wait for subsequent socket activity before closing the connection
KEY_VALUE_PATTERN - Static variable in class org.apache.awf.web.http.HttpRequestImpl
Regex to parse out key/value pairs
KnuthMorrisPrattAlgorithm - Class in org.apache.awf.util
The Knuth Morris Pratt string searching algorithm (or KMP algorithm) searches for occurrences of a "word" W within a main "text string" S by employing the observation that when a mismatch occurs, the word itself embodies sufficient information to determine where the next match could begin, thus bypassing re-examination of previously matched characters.
KnuthMorrisPrattAlgorithm() - Constructor for class org.apache.awf.util.KnuthMorrisPrattAlgorithm
 

L

limit() - Method in class org.apache.awf.io.buffer.DynamicByteBuffer
See Buffer.limit
line() - Method in enum org.apache.awf.web.http.protocol.HttpStatus
Retrieve the status line for this instance.
listen(int) - Method in class org.apache.awf.web.HttpServer
If you want to run AWF with multiple threads first invoke HttpServer.bind(int) then HttpServer.start(int) instead of HttpServer.listen(int) (listen starts an HTTP server on a single thread with the default IOLoop instance: IOLoop.INSTANCE).

M

MalFormedHttpRequest - Class in org.apache.awf.web.http
 
maxAgeToExpires(Long) - Static method in class org.apache.awf.util.CookieUtil
Utility method to calculate the expiration date of a cookie, starting with a time of validity in seconds.
MULTIPART_FORM_DATA - Static variable in class org.apache.awf.web.http.protocol.ContentType
multipart/form-data
MXBeanUtil - Class in org.apache.awf.util
 

N

newKeepAliveTimeout(IOLoop, SelectableChannel, long) - Static method in class org.apache.awf.io.timeout.Timeout
 
nextToken(HttpParsingContext) - Method in class org.apache.awf.web.http.HttpBufferedLexer
Reads the next HTTP token from context buffer
nextWord(HttpParsingContext, HttpParsingContext.TokenType, HttpBufferedLexer.StopChars, int) - Method in class org.apache.awf.web.http.HttpBufferedLexer
 
NopAsyncResult<T> - Class in org.apache.awf.util
Convenience class used to limit the Java verboseness.
nopAsyncResult - Variable in class org.apache.awf.util.NopAsyncResult
 
nopCb - Static variable in interface org.apache.awf.web.AsyncCallback
 
NotFoundRequestHandler - Class in org.apache.awf.web.handler
 

O

of(Class<T>) - Static method in class org.apache.awf.util.NopAsyncResult
 
of(X, Y) - Static method in class org.apache.awf.util.Pair
 
onCallback() - Method in interface org.apache.awf.web.AsyncCallback
 
onFailure(Throwable) - Method in interface org.apache.awf.web.AsyncResult
The asynchronous call failed to complete normally.
onSuccess(T) - Method in interface org.apache.awf.web.AsyncResult
Called when an asynchronous call completes successfully.
org.apache.awf.annotation - package org.apache.awf.annotation
 
org.apache.awf.configuration - package org.apache.awf.configuration
 
org.apache.awf.io - package org.apache.awf.io
 
org.apache.awf.io.buffer - package org.apache.awf.io.buffer
 
org.apache.awf.io.callback - package org.apache.awf.io.callback
 
org.apache.awf.io.timeout - package org.apache.awf.io.timeout
 
org.apache.awf.util - package org.apache.awf.util
 
org.apache.awf.web - package org.apache.awf.web
 
org.apache.awf.web.handler - package org.apache.awf.web.handler
 
org.apache.awf.web.http - package org.apache.awf.web.http
 
org.apache.awf.web.http.client - package org.apache.awf.web.http.client
 
org.apache.awf.web.http.protocol - package org.apache.awf.web.http.protocol
 

P

Pair<T1,T2> - Class in org.apache.awf.util
 
Pair(T1, T2) - Constructor for class org.apache.awf.util.Pair
 
PARAM_STRING_PATTERN - Static variable in class org.apache.awf.web.http.HttpRequestImpl
Regex to parse out parameters from query string
parseRequestBuffer(ByteBuffer) - Method in class org.apache.awf.web.http.HttpRequestParser
 
parseRequestBuffer(ByteBuffer, HttpRequestImpl) - Method in class org.apache.awf.web.http.HttpRequestParser
Parse the data in the given buffer as an Http request.
parseToMilliseconds(String) - Static method in class org.apache.awf.util.DateUtil
Parse a given date String to a long representation of the time.
parseToRFC1123(long) - Static method in class org.apache.awf.util.DateUtil
Converts a millisecond representation of a date to a RFC 1123 formatted String.
Path - Annotation Type in org.apache.awf.annotation
Defines the request path for which the annotated RequestHandler method is applicable.
PeriodicCallback - Class in org.apache.awf.io.callback
 
PeriodicCallback(AsyncCallback, long) - Constructor for class org.apache.awf.io.callback.PeriodicCallback
A periodic callback that will execute its callback once every period.
PeriodicCallback(IOLoop, AsyncCallback, long) - Constructor for class org.apache.awf.io.callback.PeriodicCallback
 
persistHeaderName() - Method in class org.apache.awf.web.http.HttpParsingContext
 
position(int) - Method in class org.apache.awf.io.buffer.DynamicByteBuffer
 
position() - Method in class org.apache.awf.io.buffer.DynamicByteBuffer
See Buffer.position
post(HttpRequest, HttpResponse) - Method in class org.apache.awf.web.handler.HttpContinueRequestHandler
 
post(HttpRequest, HttpResponse) - Method in class org.apache.awf.web.handler.RequestHandler
 
post(String, String, AsyncResult<Response>) - Method in class org.apache.awf.web.http.client.AsynchronousHttpClient
Make an asynchronous HTTP POST request against the specified URL, and invoke the given callback when the response upon completion.
post(String, byte[], AsyncResult<Response>) - Method in class org.apache.awf.web.http.client.AsynchronousHttpClient
Make an asynchronous HTTP POST request against the specified URL, and invoke the given callback when the response upon completion.
prepend(String) - Method in class org.apache.awf.io.buffer.DynamicByteBuffer
Prepend the data.
prolongKeepAliveTimeout(SelectableChannel) - Method in class org.apache.awf.web.http.HttpProtocol
 
pushToHeaders(String, String) - Method in class org.apache.awf.web.http.HttpRequestImpl
Append the given value to the specified header.
put(byte[]) - Method in class org.apache.awf.io.buffer.DynamicByteBuffer
Append the data.
put(ByteBuffer) - Method in class org.apache.awf.io.buffer.DynamicByteBuffer
Append the bytes from the given src.
put(byte[], int, int) - Method in class org.apache.awf.io.buffer.DynamicByteBuffer
Append count bytes in the given byte array start at array position
put(HttpRequest, HttpResponse) - Method in class org.apache.awf.web.handler.HttpContinueRequestHandler
 
put(HttpRequest, HttpResponse) - Method in class org.apache.awf.web.handler.RequestHandler
 
put(String, String, AsyncResult<Response>) - Method in class org.apache.awf.web.http.client.AsynchronousHttpClient
Make an asynchronous HTTP PUT request against the specified URL, and invoke the given callback when the response upon completion.

Q

QUERY_STRING_PATTERN - Static variable in class org.apache.awf.web.http.HttpRequestImpl
Regex to parse out QueryString from HttpRequest

R

READ_BUFFER_SIZE - Static variable in class org.apache.awf.web.http.HttpServerDescriptor
Size of the read (receive) buffer.
readBytes(int, AsyncResult<byte[]>) - Method in class org.apache.awf.io.AsynchronousSocket
Reads from the underlaying SelectableChannel until n bytes are read.
readUntil(byte[], AsyncResult<byte[]>) - Method in class org.apache.awf.io.AsynchronousSocket
Reads from the underlaying SelectableChannel until delimiter is reached.
ReflectionTools - Class in org.apache.awf.util
Common functionality relating to the use of Reflection.
registerMXBean(Object, String, String) - Static method in class org.apache.awf.util.MXBeanUtil
 
removeHandler(SelectableChannel) - Method in class org.apache.awf.io.IOLoop
Unregisters the previously registered IOHandler.
Request - Class in org.apache.awf.web.http.client
 
Request(String, HttpVerb) - Constructor for class org.apache.awf.web.http.client.Request
Create an instance of this type with the given URL and HttpVerb.
Request(String, HttpVerb, boolean, int) - Constructor for class org.apache.awf.web.http.client.Request
Create an instance of this type with the given URL and HttpVerb.
REQUEST_LINE_PATTERN - Static variable in class org.apache.awf.web.http.HttpRequestImpl
Regex to parse HttpRequest Request Line
RequestHandler - Class in org.apache.awf.web.handler
 
RequestHandler() - Constructor for class org.apache.awf.web.handler.RequestHandler
 
RequestHandlerFactory - Class in org.apache.awf.web.handler
Factory for the creation and retrieval of RequestHandler types.
RequestHandlerFactory() - Constructor for class org.apache.awf.web.handler.RequestHandlerFactory
 
Response - Class in org.apache.awf.web.http.client
 
Response(long) - Constructor for class org.apache.awf.web.http.client.Response
 

S

setBody(byte[]) - Method in class org.apache.awf.web.http.client.Request
Set the body applicable to this Request.
setBody(String) - Method in class org.apache.awf.web.http.client.Request
Set the body applicable to this Request.
setBody(String) - Method in class org.apache.awf.web.http.client.Response
 
setCloseCallback(AsyncCallback) - Method in class org.apache.awf.io.AsynchronousSocket
The given callback will invoked when the underlaying SelectableChannel is closed.
setConfiguration(Configuration) - Method in class org.apache.awf.web.Application
Set the Configuration for use with this type.
setContentType(String) - Method in class org.apache.awf.web.http.client.Request
Set the content type associated with this Request.
setCookie(String, String) - Method in interface org.apache.awf.web.http.HttpResponse
Add a cookie to response.
setCookie(String, String, long) - Method in interface org.apache.awf.web.http.HttpResponse
Add a cookie to response.
setCookie(String, String, String) - Method in interface org.apache.awf.web.http.HttpResponse
Add a cookie to response.
setCookie(String, String, String, String) - Method in interface org.apache.awf.web.http.HttpResponse
Add a cookie to response.
setCookie(String, String, long, String) - Method in interface org.apache.awf.web.http.HttpResponse
Add a cookie to response.
setCookie(String, String, long, String, String) - Method in interface org.apache.awf.web.http.HttpResponse
Add a cookie to response.
setCookie(String, String, long, String, String, boolean, boolean) - Method in interface org.apache.awf.web.http.HttpResponse
Add a cookie to response.
setCookie(String, String) - Method in class org.apache.awf.web.http.HttpResponseImpl
 
setCookie(String, String, long) - Method in class org.apache.awf.web.http.HttpResponseImpl
 
setCookie(String, String, String) - Method in class org.apache.awf.web.http.HttpResponseImpl
 
setCookie(String, String, String, String) - Method in class org.apache.awf.web.http.HttpResponseImpl
 
setCookie(String, String, long, String) - Method in class org.apache.awf.web.http.HttpResponseImpl
 
setCookie(String, String, long, String, String) - Method in class org.apache.awf.web.http.HttpResponseImpl
 
setCookie(String, String, long, String, String, boolean, boolean) - Method in class org.apache.awf.web.http.HttpResponseImpl
 
setCreateETag(boolean) - Method in interface org.apache.awf.web.http.HttpResponse
Set whether ETags should be generated and applied.
setCreateETag(boolean) - Method in class org.apache.awf.web.http.HttpResponseImpl
Set whether ETags should be generated and applied.
setCreateETags(boolean) - Method in class org.apache.awf.configuration.Configuration
Set whether ETags should be generated and applied.
setHandlerPackage(String) - Method in class org.apache.awf.configuration.Configuration
Set package under which RequestHandler implementations are to be found, for example "org.apache.awf".
setHeader(String, String) - Method in class org.apache.awf.web.http.client.Response
 
setHeader(String, String) - Method in interface org.apache.awf.web.http.HttpResponse
Set an HTTP header value.
setHeader(String, String) - Method in class org.apache.awf.web.http.HttpResponseImpl
 
setMethod(HttpVerb) - Method in class org.apache.awf.web.http.HttpRequestImpl
 
setRemoteHost(InetAddress) - Method in class org.apache.awf.web.http.HttpRequestImpl
 
setRemotePort(int) - Method in class org.apache.awf.web.http.HttpRequestImpl
 
setServerHost(InetAddress) - Method in class org.apache.awf.web.http.HttpRequestImpl
 
setServerPort(int) - Method in class org.apache.awf.web.http.HttpRequestImpl
 
setStaticDirectory(String) - Method in class org.apache.awf.configuration.Configuration
Set the directory from which static content should be retrieved.
setStatuLine(String) - Method in class org.apache.awf.web.http.client.Response
 
setStatus(HttpStatus) - Method in interface org.apache.awf.web.http.HttpResponse
Set the HTTP Response status (return) code, such as 200 for success.
setStatus(HttpStatus) - Method in class org.apache.awf.web.http.HttpResponseImpl
 
setURI(String) - Method in class org.apache.awf.web.http.HttpRequestImpl
Sets the requestedPath and parse parameters using the received complete URI
setVersion(String) - Method in class org.apache.awf.web.http.HttpRequestImpl
 
shouldCreateETags() - Method in class org.apache.awf.configuration.Configuration
Determine whether ETags should currently be generated and applied.
skipEndOfLine(HttpParsingContext) - Method in class org.apache.awf.web.http.HttpBufferedLexer
Skips all end of line characters.
skipWhiteSpaceAndLine(HttpParsingContext) - Method in class org.apache.awf.web.http.HttpBufferedLexer
 
start() - Method in class org.apache.awf.io.callback.PeriodicCallback
Start the PeriodicCallback
start() - Method in class org.apache.awf.io.IOLoop
Start the io loop.
start(int) - Method in class org.apache.awf.web.HttpServer
 
StaticContentHandler - Class in org.apache.awf.web.handler
A RequestHandler that serves static content (files) from a predefined directory.
StaticContentHandler() - Constructor for class org.apache.awf.web.handler.StaticContentHandler
 
stop() - Method in class org.apache.awf.io.IOLoop
Stop the io loop and release the thread (io loop thread) that invoked the IOLoop.start() method.
stop() - Method in class org.apache.awf.web.HttpServer
Unbinds the port and shutdown the HTTP server using a callback to execute the stop from the IOLoop thread

T

TEXT_HTML - Static variable in class org.apache.awf.web.http.protocol.ContentType
text/html
TEXT_PLAIN - Static variable in class org.apache.awf.web.http.protocol.ContentType
text/plain
TEXT_XML - Static variable in class org.apache.awf.web.http.protocol.ContentType
text/xml
Timeout - Class in org.apache.awf.io.timeout
 
Timeout(long, AsyncCallback) - Constructor for class org.apache.awf.io.timeout.Timeout
 
TimeoutManager - Interface in org.apache.awf.io.timeout
 
TimeoutManagerMXBean - Interface in org.apache.awf.io.timeout
 
tokenGreaterThan(int) - Method in class org.apache.awf.web.http.HttpParsingContext
 
toString() - Method in class org.apache.awf.web.http.client.Response
 
toString() - Method in class org.apache.awf.web.http.HttpProtocol
 
toString() - Method in class org.apache.awf.web.http.HttpRequestImpl
TODO SLM This should output the real request and use a StringBuilder

U

updateHandler(SelectableChannel, int) - Method in class org.apache.awf.io.IOLoop
Update an earlier registered SelectableChannel
urlJoin(URL, String) - Static method in class org.apache.awf.util.UrlUtil
Example: url: http://tt.se/ Location: /start => http://tt.se/start url: http://localhost/moved_perm Location: / => http://localhost/ url: http://github.com/ Location: http://github.com/ => https://github.com/ (If the new url throws a MalformedURLException the url String representation will be returned.)
UrlUtil - Class in org.apache.awf.util
 
UrlUtil() - Constructor for class org.apache.awf.util.UrlUtil
 

V

valueOf(String) - Static method in enum org.apache.awf.web.http.protocol.HttpStatus
Returns the enum constant of this type with the specified name.
valueOf(String) - Static method in enum org.apache.awf.web.http.protocol.HttpVerb
Returns the enum constant of this type with the specified name.
values() - Static method in enum org.apache.awf.web.http.protocol.HttpStatus
Returns an array containing the constants of this enum type, in the order they are declared.
values() - Static method in enum org.apache.awf.web.http.protocol.HttpVerb
Returns an array containing the constants of this enum type, in the order they are declared.
verifyRequest(HttpRequest) - Static method in class org.apache.awf.util.HttpUtil
 

W

write(byte[], AsyncCallback) - Method in class org.apache.awf.io.AsynchronousSocket
Writes the given data to the underlaying SelectableChannel.
write(String) - Method in interface org.apache.awf.web.http.HttpResponse
The given data data will be sent as the HTTP response upon next flush or when the response is finished.
write(byte[]) - Method in interface org.apache.awf.web.http.HttpResponse
The given data data will be sent as the HTTP response upon next flush or when the response is finished.
write(File) - Method in interface org.apache.awf.web.http.HttpResponse
Experimental support.
write(String) - Method in class org.apache.awf.web.http.HttpResponseImpl
 
write(byte[]) - Method in class org.apache.awf.web.http.HttpResponseImpl
 
write(File) - Method in class org.apache.awf.web.http.HttpResponseImpl
Experimental support.
WRITE_BUFFER_SIZE - Static variable in class org.apache.awf.web.http.HttpServerDescriptor
Size of the write (send) buffer.

_

_1 - Variable in class org.apache.awf.util.Pair
 
_2 - Variable in class org.apache.awf.util.Pair
 

A B C D E F G H I J K L M N O P Q R S T U V W _

Copyright © 2012. All Rights Reserved.